Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: userhelper

Interfaces Templates

### Description:

A wrapper that helps users run system programs.

### Interfaces:

userhelper_dbus_chat_all_consolehelper( domain )

##### Summary

Send and receive messages from consolehelper over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

userhelper_dontaudit_search_config( domain )

##### Summary

Do not audit attempts to search userhelper configuration directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

userhelper_exec( domain )

##### Summary

Execute the userhelper program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

userhelper_exec_consolehelper( domain )

##### Summary

Execute the consolehelper program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

userhelper_search_config( domain )

##### Summary

Search userhelper configuration directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

userhelper_sigchld( domain )

##### Summary

Send child terminated signals to all userhelper.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

userhelper_use_fd( domain )

##### Summary

Use userhelper all userhelper file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

userhelper_role_template( userrole_prefix , user_role , user_domain )

##### Summary

The role template for the userhelper module.

##### Parameters

Parameter: | Description:
--- | ---
userrole_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_role | The user role.
user_domain | The user domain associated with the role.

Return